# mb-select-popup

mb-select-popup is an angular library for showing popups of selected/highlighted text.

[Demo](https://github.com/Rohan-mindbowser/gifs/blob/master/select-popup.gif)

## Installation

```bash
npm i mb-select-popup
```

## Usage

### import MbSelectPopupModule module.

```python
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { MbSelectPopupModule } from 'mb-select-popup';

@NgModule({
  declarations: [AppComponent],
  imports: [BrowserModule, AppRoutingModule, MbSelectPopupModule],
  providers: [],
  bootstrap: [AppComponent],
})
export class AppModule {}

```

## Use <lib-select-popup> component and pass data

```
<lib-select-popup>
  <div>
    Lorem ipsum dolor sit, amet consectetur adipisicing elit. Dolorum optio ex
    dicta quam doloribus nemo sequi laudantium minus, ipsum ipsa voluptatum
    officia id libero vero perspiciatis ducimus aut quae eos? Assumenda
    officiis.
  </div>
</lib-select-popup>
```
